~tribaal/storm/storm-packaging-fix-python-central

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
storm (0.20.0.99-0landscape2) trusty; urgency=medium

  * Fixed pacakging for trusty since python-central is not available anymore.

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Wed, 29 Jan 2014 14:20:35 +0100

storm (0.20.0.99-0landscape1) precise; urgency=low

  * Bump version to 0.20.0.99, taken from the __init__.py file.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 05 Aug 2013 18:41:00 -0300

storm (0.19.1-0landscape1) precise; urgency=low

  * Update version to deal with higher precise version number

 -- David Britton <dpb@starbuck>  Thu, 16 Feb 2012 00:16:17 -0700

storm (0.18.1-0landscape3) lucid; urgency=low

  * Add a build dependency on python-setuptools.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 22 Nov 2011 17:36:55 -0200

storm (0.18.1-0landscape2) lucid; urgency=low

  * Run test suite during package build, skipping postgresql and mysql tests
    for now because these are not being setup in the build environment.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 14 Sep 2011 14:57:05 -0400

storm (0.18.1-0landscape1) lucid; urgency=low

  * Upcoming 0.18.1 release.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 08 Aug 2011 12:14:49 -0600

storm (0.15-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/control:
    - Make python-storm architecture-dependent, as Storm builds extensions
      now. (LP: #338420)
    - Add ${shlibs:Depends} to python-storm's Depends field.
  * debian/rules:
    - Update version number.
    - Remove no longer useful DH_ALWAYS_EXCLUDE -- we need /usr/lib now.
  * debian/copyright:
    - Update upstream copyright dates.
    - Replace '(C)' in Debian packaging copyright notice with 'copyright',
      which is actually legally meaningful.

 -- William Grant <wgrant@ubuntu.com>  Tue, 18 Aug 2009 10:40:00 +1000

storm (0.14-0ubuntu2) jaunty; urgency=low

  * Really update to the new upstream version. The previous upload had a
    reversion to 0.12 in the diff.gz. (LP: #364405)

 -- William Grant <wgrant@ubuntu.com>  Tue, 21 Apr 2009 12:08:58 +1000

storm (0.14-0ubuntu1) jaunty; urgency=low

  * New upstream version.
  * Watch file added
  
 -- Morten Kjeldgaard <mok0@ubuntu.com>  Fri, 16 Jan 2009 10:43:56 +0100

storm (0.12-0ubuntu2) intrepid; urgency=low

  * Added python-psycopg2, python-mysqldb and python-pysqlite2 to Suggests of
    python-storm (LP: #259883).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 21 Aug 2008 19:19:29 +0200

storm (0.12-0ubuntu1) hardy; urgency=low

  [ Morten Kjeldgaard ]
  * New upstream release, fixes several bugs (LP: #156100)
    - debian/rules: get-orig-source target added. Avoid packing
      usr/lib
    - debian/control: move to section python, move http stanza
      to Homepage field.

  [ Scott Kitterman ]
  * Change get-orig-source to use production launchpad URL (remove edge)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Mon, 25 Feb 2008 15:35:09 +0100

storm (0.11-0ubuntu2) hardy; urgency=low

  * Fix subst variable in debian/control to make python-storm install properly
    again.
  * Don't run prerm if upgrading from 0.11-0ubuntu1.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 11 Jan 2008 17:39:39 +0100

storm (0.11-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Switch to python-central.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 10 Jan 2008 17:23:53 +0100

storm (0.9-0ubuntu1) gutsy; urgency=low

  * Initial release.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 13 Jul 2007 09:38:21 +0100